package com.medipreco.loopboxplugin;

import android.annotation.TargetApi;
import android.os.Build;
import android.util.Base64;
import br.com.loopkey.indigo.lklib.core.LKReachableDeviceListener;
import br.com.loopkey.indigo.lklib.entity.LKEntity;

import java.util.List;

public class ReachableDeviceListener implements LKReachableDeviceListener {

  @Override
  @TargetApi(Build.VERSION_CODES.FROYO)
  public void onReachableDevices(List<LKEntity> reachedDevices) {
    for(LKEntity reachedDevice : reachedDevices) {
      System.out.println(reachedDevice.getName());
      System.out.println(Base64.encodeToString(reachedDevice.getSerialCode(), Base64.NO_WRAP));
      System.out.println("-------");
    }
  }
}
